package com.fos.modules.tableOrder.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;
import com.fos.core.conf.GConstants;

import java.util.Date;
import java.util.List;

/**
 * Created by Tony on 7/30/2016.
 */
public class TableOrderFoodConEntity extends BaseEntity {

    @JSONField(name = "foodId")
    private int foodId; // 菜品id

    @JSONField(name = "orderId")
    private int orderId; // 菜品id

    @JSONField(name = "foodName")
    private String foodName; // 菜品名称
    
    @JSONField(name = "foodNum")
    private String foodNum; // 菜品数量

    @JSONField(name = "beginTime")
    private Date beginTime; // 起始时间

    @JSONField(name = "arriveTime")
    private Date arriveTime; // 送达时间

    @JSONField(name = "foodPre")
    private List<String> foodPre; // 菜品口味

    @JSONField(name = "remark")
    private String remark; // 菜品备注

    @JSONField(name = "color")
    private String color; // 延迟颜色

    @JSONField(name = "foodImg")
    private String foodImg; // 食物图片

    @JSONField(name = "intervalTime")
    private String intervalTime; // 间隔时间

    public int getFoodId() {
        return foodId;
    }

    public void setFoodId(int foodId) {
        this.foodId = foodId;
    }

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public Date getArriveTime() {
        return arriveTime;
    }

    public void setArriveTime(Date arriveTime) {
        this.arriveTime = arriveTime;
    }

    public List<String> getFoodPre() {
        return foodPre;
    }

    public void setFoodPre(List<String> foodPre) {
        this.foodPre = foodPre;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public String getFoodImg() {
        return foodImg;
    }

    public void setFoodImg(String foodImg) {
        this.foodImg = foodImg;
    }

    public String getIntervalTime() {
        return intervalTime;
    }

    public void setIntervalTime(String intervalTime) {
        this.intervalTime = intervalTime;
    }

	public String getFoodNum() {
		return foodNum;
	}

	public void setFoodNum(String foodNum) {
		this.foodNum = foodNum;
	}

}
